image: debian:stretch-slim

stages:
  - test
  - deploy

syntaxcheck:
  stage: test
  before_script:
    # Install git, the php image doesn't have installed
    - apt-get update -yqq
    - apt-get install -y squid3
  script:
    - cp squid.conf /etc/squid/squid.conf
    - squid3 -k parse

deploy_config:
  stage: deploy
  only:
  - master
  environment:
    name:  production
  when: manual
  before_script:
    # install ssh-agent
    - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )'
    # run ssh-agent
    - eval $(ssh-agent -s)
    # add ssh key stored in SSH_PRIVATE_KEY variable to the agent store
    - ssh-add <(echo "$SSH_PRIVATE_KEY")
    # disable host key checking (NOTE: makes you susceptible to man-in-the-middle attacks)
    # WARNING: use only in docker container, if you use it with shell you will overwrite your user's ssh config
    - mkdir -p ~/.ssh
    - echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config
  script:
  script:
    - "scp squid.conf gitlabci@${SQUID_SERVER}:"
    - "ssh gitlabci@${SQUID_SERVER} sudo bin/install_squid_config.sh"
